Bug 806860 - dracut-017-59.git20120321.fc17 breaks f15->f17 upgrades through yum
dracut-017-59.git20120321.fc17 breaks f15->f17 upgrades through yum
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: dracut-maint
Fedora Extras Quality Assurance
:
Depends On: 806822
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 07:23 EDT by Harald Hoyer
Modified: 2012-08-07 16:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 806822
Environment:
Last Closed: 2012-08-07 16:25:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2012-03-26 07:23:36 EDT
+++ This bug was initially created as a clone of Bug #806822 +++

Description of problem:

dracut-017-59.git20120321.fc17 added a require on util-linux >= 2.21 which is only in f16.
Trying to follow https://fedoraproject.org/wiki/Upgrading_Fedora_using_yum#Fedora_16_-.3E_Fedora_17 causes util-linux to be upgraded at the "yum --releasever=17 update rpm dracut" step, which ends up trying
to upgrade filesystem to the f17 version. This package cannot be installed at this point since the goal of the first step is to do the usrbin conversion, and f17 filesystem package cannot be installed before the conversion is done.

--- Additional comment from updates@fedoraproject.org on 2012-03-26 07:22:59 EDT ---

dracut-013-22.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/dracut-013-22.fc16
Comment 1 Fedora Update System 2012-03-26 07:24:38 EDT
dracut-009-14.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/dracut-009-14.fc15
Comment 2 Fedora Update System 2012-03-30 23:25:48 EDT
Package dracut-009-14.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dracut-009-14.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5103/dracut-009-14.fc15
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-04-02 02:55:37 EDT
dracut-009-15.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/dracut-009-15.fc15
Comment 4 Fedora End Of Life 2012-08-07 16:25:10 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.